RequirePackage("require_file");
AddToLoadPath("~/research/symbal/src");
AddToLoadPath("../cube");

ReadFile("cube.gap");
ReadFile("perturb.gap");

globalResults:=rec();

symDFS:=function(dim,inf,cob)
    local V,G,H,Vp,results;
    V:=CubeVerts(dim);
    
    G:=orthoPermGroup(dim);
    H:=bestLineStabilizer(G,V);
    O:=sortedOrbits(H,[1..Size(V)]);
    results:=dfs(V,H,
                       [ rec(VRepresentation:=false, 
                             infoLevel:=inf,
                             startingCobasis:=cob,
                             orbitLexPerturb:=true,
                             orbitsForPerturbation:=O,
                             lexSigns:=List([1..Size(O)],j->-1),
                         canonTest:=false,
                         dualFacetTrick:=false,
                         orbitLexPerturb:=false,
                         cobasisStabilizers:=false,
                         )]);
    FormatResults(results,"dimension");
    return results;
end;
