
RequirePackage("require_file");
AddToLoadPath("~/research/gap-lrslib/src");
AddToLoadPath("../wreath");

ReadFile("dfs.gap");

ReadFile("wcross4.gap");
globalResults:=rec();
doDFS:=function()
    local results;
    ClearProfile();
    ProfileFunctions(dfs,IsNewCobasis,StabCanon,FindSymmetry,knownVertex,
            MatchingInvariants,CanonicalizeCobasis,CobasisInvariants,PushNewEdges);
    globalResults:= dfs(V,fail,
                        [ rec(cobasisStabilizers:=false, 
                              lazyCanon:=false,
                              gramVec:=true,
                              nautyIsometries:=true,
                              gramGraph:=false,
                              gramMotion:=false,
                              gramMotionViaBrute:=false,
                              trustCanon:=false,
                              lexOnly:=false,
                              infoLevel:=1,
                              siftThreshhold:=10000,
                              greedyTrials:=200,
                              )]);;
    DisplayProfile();
    Print("{\n dimension =>",Size(V[1])-1,",\n");
    Print("group_generators =>",Size(globalResults.symmetryGenerators),",\n");
    Print("group_order =>",Order(Group(globalResults.symmetryGenerators)),",\n");
    Print("dfs =>{basis_orbits=>", Size(globalResults.cobasisOrbits),",\n");
    Print("vertex_orbits=>", Size(globalResults.vertexOrbits),",\n");          
    Print("ray_orbits=>", Size(globalResults.rayOrbits),"\n}\n}\n");          

end;
