#include <stdarg.h>
#include <stdio.h>

#ifdef DEBUGLOG
extern FILE* debugfp;
#endif


void    err_fatal(char *funct, char *fmt, ...)
{
  va_list args;
  /*
  ** Display the name of the function that called error
  */
  fprintf(stderr, "%s: ", funct);
  /*
  ** Display the remainder of the message
  */
  va_start(args, fmt);
  vfprintf(stderr, fmt, args);
  va_end(args);
  fprintf(stderr,"\n\n");
  abort();
}

void    dlog(char *fmt, ...)
{
  va_list args;

#ifdef DEBUGLOG
  va_start(args, fmt);
  vfprintf(stderr, fmt, args);
  va_end(args);
  fprintf(stderr,"\n");
#endif
}

void    logprintf(char *fmt, ...)
{
  va_list args;


  va_start(args, fmt);
#ifdef DEBUGLOG
  vfprintf(stderr, fmt, args);
#endif
  vfprintf(stdout,fmt,args);
  va_end(args);
  fprintf(stderr,"\n");

}
