#!/usr/bin/env perl

use strict;

my $state=0;
my $CONV=1;
my  $CONE=2;
my @verts=();
my @rays=();
my $dim;
line: while(<>){
  last if (m/^\s*END\s*$/);

  if ($state==0 && m/\s*DIM\s*=\s*(\d+)/){
    $dim=$1;
    next line;
  }

  if (m/CONV_SECTION/){
    $state=$CONV;
    next line;
  }

  if (m/CONE_SECTION/){
    $state=$CONE;
    next line;
  }

  push(@verts,"1 ".$_) if ($state==$CONV);
  push(@rays,"0 ".$_) if ($state==$CONE);

}

printf "V-representation\nbegin\n%d %d integer\n",scalar(@rays)+scalar(@verts),$dim+1;
print join("",@rays);
print join("",@verts);
print "end\n";

